Bug 31881 - boot time parameter PROFILE not evaluated
boot time parameter PROFILE not evaluated
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-15 12:39 EST by Thilo Kopp
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:47:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thilo Kopp 2001-03-15 12:39:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (WinNT; I)

With linuxconf you can set up several profiles. You should be able to load these profiles
at the boot prompt with "linux PROFILE=myprofile" or you can set up liloconf so that
the profile names even show up in the graphical LILO interface at the begining of the
boot process. This seems to be great however, the profile will actually not switch, that is,
the boot time parameter profile is not beeing evaluated. Does it work with the new kernel
2.4.xx ? or on a different machine than mine (Dell Latitude C800)? 

Reproducible: Always
Steps to Reproduce:
1. use LILO, get the boot prompt with ctrl-x
2. type at the boot prompt: linux PROFILE=myprofile
3. check if the profile switched from the previous to myprofile

Actual Results:  profile did not switch
Comment 1 Doug Ledford 2001-03-15 12:53:05 EST
This should not be a lilo problem.  Lilo passes unknown options to the linux
kernel unmodified.  To check this, you can see if the file /proc/cmdline
includes your PROFILE= option.  If it does, that means the lilo passed the
option as it was suppossed to and the problem is somewhere else (most likely in
linuxconf at that point).
Comment 2 Thilo Kopp 2001-03-15 14:44:44 EST
Yes indeed, the buggy component is not LILO but rather: Linuxconf 1.19 (subrev
I can switch profiles from within linuxconf -> Control -> Control panel ->
Switch system profile
perfectly fine however it will not work during boot time: LILO passes the option
to the kernel 
(as can be checked from /proc/cmdline) but the corresponding profile is not
Comment 3 Doug Ledford 2001-03-15 15:10:40 EST
I'm switching the component to linuxconf and the assigned owner to the owner of
linuxconf then so that this can be addressed.
Comment 4 Thilo Kopp 2001-03-19 06:05:50 EST
During the boot process, the system initialization /etc/rc.d/rc.sysinit  takes care of networking,
file systems, loading modules and so on. I guess that it should also contain program code
which evaluates the boot time parameter PROFILE. However, there is no single line which
contains the words linuxconf or  profile. Other boot time parameters (e.g. fastboot=yes) are taken
care of in this file but not the boot time parameter profile. 

Does anyone have a /etc/rc.d/rc.sysinit  which contains instructions for linuxconf and profile?
Comment 5 Brent Fox 2002-06-05 12:24:15 EDT
Closing because we don't ship linuxconf anymore
Comment 6 Red Hat Bugzilla 2006-02-21 13:47:56 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.